require 'Items/Distributions'
require 'Items/ProceduralDistributions'
SuburbsDistributions = SuburbsDistributions or {}
ProceduralDistributions = ProceduralDistributions or {}

--Non-soda spawns.
--table.insert(SuburbsDistributions["all"]["inventorymale"].items, "Base.Money");
--table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.8);
--table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "Base.Money");
--table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.8);
--table.insert(SuburbsDistributions["all"]["inventorymale"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.8);
--table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.8);


--Suburbs tables
--table.insert(SuburbsDistributions["burgerkitchen"]["fridge"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["burgerkitchen"]["fridge"].items, 3);
--table.insert(SuburbsDistributions["burgerkitchen"]["counter"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["burgerkitchen"]["counter"].items, 3);

--table.insert(SuburbsDistributions["zippeestore"]["crate"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["zippeestore"]["crate"].items, 0.1);
--table.insert(SuburbsDistributions["zippeestore"]["counter"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["zippeestore"]["counter"].items, 0.1);

table.insert(SuburbsDistributions["all"]["fridge"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["all"]["fridge"].items, 3);
--table.insert(SuburbsDistributions["all"]["bin"].items, "FB_BEN_EN.NRGEmpty");
--table.insert(SuburbsDistributions["all"]["bin"].items, 2);
--table.insert(SuburbsDistributions["all"]["officedrawers"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["all"]["officedrawers"].items, 3);
table.insert(SuburbsDistributions["all"]["vendingpop"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["all"]["vendingpop"].items, 50);

--table.insert(SuburbsDistributions["grocery"]["counter"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["grocery"]["counter"].items, 0.1);

table.insert(SuburbsDistributions["gigamart"]["counter"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gigamart"]["counter"].items, 50);

--table.insert(SuburbsDistributions["fossoil"]["counter"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["fossoil"]["counter"].items, 0.1);
--table.insert(SuburbsDistributions["fossoil"]["crate"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["fossoil"]["crate"].items, 0.1);

--table.insert(SuburbsDistributions["spiffosstorage"]["all"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["spiffosstorage"]["all"].items, 0.1);
--table.insert(SuburbsDistributions["spiffoskitchen"]["fridge"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["spiffoskitchen"]["fridge"].items, 15);

table.insert(SuburbsDistributions["bar"]["shelves"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["bar"]["shelves"].items, 8);
table.insert(SuburbsDistributions["bar"]["counter"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["bar"]["counter"].items, 8);

table.insert(SuburbsDistributions["motelroom"]["fridge"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["motelroom"]["fridge"].items, 8);
table.insert(SuburbsDistributions["motelroomoccupied"]["fridge"].items, "FB_BEN_EN.NRG");
table.insert(SuburbsDistributions["motelroomoccupied"]["fridge"].items, 8);

--table.insert(SuburbsDistributions["dining"]["shelves"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["dining"]["shelves"].items, 3);

--table.insert(SuburbsDistributions["restaurant"]["shelves"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["restaurant"]["shelves"].items, 3);

--table.insert(SuburbsDistributions["theatrekitchen"]["counter"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["theatrekitchen"]["counter"].items, 4);
--table.insert(SuburbsDistributions["theatrestorage"]["crate"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["theatrestorage"]["crate"].items, 3);

--table.insert(SuburbsDistributions["cornerstore"]["counter"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["cornerstore"]["counter"].items, 0.1);

--table.insert(SuburbsDistributions["candystore"]["displaycase"].items, "FB_BEN_EN.NRG");
--table.insert(SuburbsDistributions["candystore"]["displaycase"].items, 2);
--table.insert(SuburbsDistributions["candystore"]["counter"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["candystore"]["counter"].items, 0.1);

table.insert(SuburbsDistributions["gasstore"]["fridge"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gasstore"]["fridge"].items, 12);
table.insert(SuburbsDistributions["gasstore"]["fridge"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gasstore"]["fridge"].items, 12);
table.insert(SuburbsDistributions["gasstore"]["shelves"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gasstore"]["shelves"].items, 12);
table.insert(SuburbsDistributions["gasstore"]["counter"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gasstore"]["counter"].items, 5);
table.insert(SuburbsDistributions["gasstorage"]["metal_shelves"].items, "FB_BEN_EN.NRGBox");
table.insert(SuburbsDistributions["gasstorage"]["metal_shelves"].items, 5);

--table.insert(SuburbsDistributions["SurvivorCache1"]["SurvivorCrate"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["SurvivorCache1"]["SurvivorCrate"].items, 2);
--table.insert(SuburbsDistributions["SurvivorCache2"]["SurvivorCrate"].items, "FB_BEN_EN.NRGBox");
--table.insert(SuburbsDistributions["SurvivorCache2"]["SurvivorCrate"].items, 2);

--Procedural tables
table.insert(ProceduralDistributions.list["FridgeBottles"].items, "FB_BEN_EN.NRG");
table.insert(ProceduralDistributions.list["FridgeBottles"].items, 0.1);

--table.insert(ProceduralDistributions.list["GigamartBottles"].items, "FB_BEN_EN.NRG");
--table.insert(ProceduralDistributions.list["GigamartBottles"].items, 4);

--table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "FB_BEN_EN.NRGBox");
--table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.1);

--table.insert(ProceduralDistributions.list["KitchenBottles"].items, "FB_BEN_EN.NRG");
--table.insert(ProceduralDistributions.list["KitchenBottles"].items, 3);